Subject: bug#3994: closed (Re: bug#3994: Problem of rendering cyrillic fonts on Mac OS X)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Aug 2016 18:18:02 +0000

Your bug report

#3994: 23.1; Problem of rendering cyrillic fonts on Mac OS X

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
3994: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3994
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#3994: Problem of rendering cyrillic fonts on Mac OS X
From: Alan Third <[email-masked]>
To: Lev Shamardin <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Aug 2016 19:17:02 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lev Shamardin <[email-masked]> writes:

> Sorry, no idea. I no longer have an apple computer, and have no means to verify. 

Since there doesn't seem to be anyone left responding to this who can
confirm if it's still an issue or not, I'm going to close.

Thanks.

-- 
Alan Third

Subject: 23.1; Problem of rendering cyrillic fonts on Mac OS X
From: Konstantin Lepa <[email-masked]>
To: [email-masked]
Date: Fri, 31 Jul 2009 12:11:36 +0400

Hi.

`Terminus' font for russian language is broken.

I checked for Emacs 23.0.90-23.0.94 and it works. Emacs  
23.0.95-23.0.96 makes bold font instead regular font (see bug #3834).  
Emacs 23.1 has normal rendering for english language, but for cyrillic  
languages font is broken.

For recreating problem:
1. Install TerminusMedium.dfont from http://www.fileqube.com/file/zLiajO207525
2. In Emacs 23.1.1:
    ns-popup-font-panel <RET> ; choose Terminus font
    C-h h ; show multilingual text (see russian text)

Here is a screenshot of incorrect rendering:
http://www.flickr.com/photos/40931354@N05/3771171287/sizes/o/

Here is a screenshot of correct rendering (Emacs 23.0.94):
http://www.flickr.com/photos/40931354@N05/3771975008/sizes/o/

Konstantin.

In GNU Emacs 23.1.1 (i386-apple-darwin9.7.0, NS apple-appkit-949.46)
  of 2009-07-30 on black.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: en_US.UTF-8
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t
   view-mode: t

Recent input:
<help-echo> <help-echo> M-x n s - f o n t <backspace>
<backspace> <backspace> <backspace> p o p u <tab> f
o n <tab> <return> <help-echo> <help-echo> <ns-change-font>
<ns-change-font> <ns-change-font> <ns-change-font>
C-h h M-x r e p o r t - e m a c s - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
View mode: type C-h for help, h for commands, q to quit.